Subject: Keep LADsnet alive

From: [email-masked] (Zayong Gou)
Date: Mon, 27 Jun 94 09:14:19 CDT

In response to the recent discussion of the future of LADsnet, I think we should keep it alive if at all possible. Many people benefit from the discussion carried on over the past period and it did us a great service. It didn't outlived its usefulness as far as general immigration issues of Chinese students are concerned.
 
I agree with Mr. X. Liang in that it should expand to more general immigration-related issues (maybe including change of the name of this net). There is a wide audience for this, I am sure.